Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.http.client
Class RequestPermissionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.google.gwt.http.client.RequestException
                  com.google.gwt.http.client.RequestPermissionException

All Implemented Interfaces:
  java.io.Serializable

    public class RequestPermissionException

extends RequestException

Exception thrown when the `RequestBuilder` attempts to make a request to a URL which violates the Same-Origin Security Policy.

### Required Module

Modules that use this class should inherit `com.google.gwt.http.HTTP`.

>     <module>
>       <!-- other inherited modules, such as com.google.gwt.user.User -->
>       <inherits name="com.google.gwt.http.HTTP"/>
>       <!-- additional module settings -->
>     </module>

See Also:
  Serialized Form

Constructor Summary
`RequestPermissionException(java.lang.String url)` Constructs an instance of this class for the given URL.

Method Summary
`java.lang.String` | `getURL()` Returns the URL which we cannot access.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RequestPermissionException

    public RequestPermissionException(java.lang.String url)

  Constructs an instance of this class for the given URL.

  Parameters:
    `url` - the URL which cannot be accessed

Method Detail

### getURL

    public java.lang.String getURL()

  Returns the URL which we cannot access.

  Returns:
    the URL which we cannot access.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD